## WebKitWebPluginDatabase

WebKitWebPluginDatabase — Provides information about the plugins the engine knows about

## Functions

WebKitWebPlugin * | webkit_web_plugin_database_get_plugin_for_mimetype ()
GSList * | webkit_web_plugin_database_get_plugins ()
void | webkit_web_plugin_database_plugins_list_free ()
void | webkit_web_plugin_database_refresh ()

## Types and Values

| WebKitWebPluginDatabase

## Object Hierarchy

        GObject
        ╰── WebKitWebPluginDatabase

## Description

This object allows you to query information about the plugins found by the engine while scanning the usual directories. You can then use the WebKitWebPlugin objects to get more information or enable/disable individual plugins.

## Functions

### webkit_web_plugin_database_get_plugin_for_mimetype ()

    WebKitWebPlugin *
    webkit_web_plugin_database_get_plugin_for_mimetype
                                   (WebKitWebPluginDatabase *database,
                                    const char *mime_type);

Returns the WebKitWebPlugin that is handling `mimeType` in the `database` , or `NULL` if there's none doing so.

#### Parameters

database | a WebKitWebPluginDatabase |
mime_type | a mime type |

#### Returns

a WebKitWebPlugin.

[transfer full]

Since: 1.3.8

### webkit_web_plugin_database_get_plugins ()

    GSList *
    webkit_web_plugin_database_get_plugins
                                   (WebKitWebPluginDatabase *database);

Returns all WebKitWebPlugin available in `database` . The returned list must be freed with `webkit_web_plugin_database_plugins_list_free()`

#### Parameters

database | a WebKitWebPluginDatabase |

#### Returns

a GSList of WebKitWebPlugin.

[transfer full][element-type WebKitWebPlugin]

Since: 1.3.8

### webkit_web_plugin_database_plugins_list_free ()

    void
    webkit_web_plugin_database_plugins_list_free
                                   (GSList *list);

Frees `list` .

#### Parameters

list | a GSList of WebKitWebPlugin. | [element-type WebKitWebPlugin]

Since: 1.3.8

### webkit_web_plugin_database_refresh ()

    void
    webkit_web_plugin_database_refresh (WebKitWebPluginDatabase *database);

Refreshes `database` adding new plugins that are now in use and removing those that have been disabled or are otherwise no longer available.

#### Parameters

database | a WebKitWebPluginDatabase |

Since: 1.3.8

## Types and Values

### WebKitWebPluginDatabase

    typedef struct _WebKitWebPluginDatabase WebKitWebPluginDatabase;

## See Also

WebKitWebPlugin